Bug 997096 - [RFE] Notifications of Gear Creation
[RFE] Notifications of Gear Creation
Status: CLOSED NOTABUG
Product: OpenShift Origin
Classification: Red Hat
Component: Containers (Show other bugs)
2.x
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jhon Honce
libra bugs
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-08-14 12:14 EDT by Timothy Williams
Modified: 2015-05-14 19:12 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-03-12 16:52:35 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Timothy Williams 2013-08-14 12:14:49 EDT
Description of problem:
The customer needs to be able to be notified when a Gear is created. This notification would preferably come by email. 

How reproducible:
Always

Steps to Reproduce:
1. Create a gear
2.
3.

Actual results:
No notifications are sent

Expected results:
Notification sent to administrator
Comment 1 Eric Rich 2013-08-14 12:33:06 EDT
I think it is best that we simply provide some kind of feature / script on a node or through the broker that can provide notifications. 

In general I think a notification subsystem would be nice, as it will better help us integrate with CFME.
Comment 2 Clayton Coleman 2013-08-16 09:45:46 EDT
In theory this is something that the routing SPI will provide.  That's a pretty close plug point that is committed for OSE 2.0.
Comment 3 Dan McPherson 2014-03-12 16:52:35 EDT
If the routing SPI isn't sufficient here.  We should handle this through trello.

Note You need to log in before you can comment on or make changes to this bug.